public class Consumer extends Thread { 
    private String name; 
    private long interval; 
    //private Queue queue; 
    private Queue<String> queue; 
    //public Consumer(String name, long interval, Queue queue) { 
    public Consumer(String name, long interval, Queue<String> queue) { 
        this.name = name; 
        this.interval = interval; 
        this.queue = queue; 
    }//constructor 
    public void run() { 
        while (!Thread.interrupted()) { 
            try { 
                Thread.sleep(interval); 
            } 
            catch (InterruptedException e ) { 
                break; 
            } 
            System.out.println(name + " received job from " 
                                          + queue.take()); 
        } 
    }//run
}//Consumer
