public class Writer implements Runnable {
    private String text;
    private long interval;
    public Writer(String text, long time) {
        this.text = text;
        interval = time * 1000;
    }//constructor
    public void run() {
        while(!Thread.interrupted()) { //Kontrollera om aktuell tråd blivit avbruten
            try {
                Thread.sleep(interval);  //Låt den aktuella tråden sova
            }
            catch (InterruptedException e) {
                break;
             }
             System.out.print(text + " "); 
        }
    }//run
}//Writer 
