public class Producer extends Thread { 
    private String name; 
    private long interval; 
    //private Queue queue; 
    private Queue<String> queue; 
    private int nr = 0; 
    //public Producer(String name, long interval, Queue queue) { 
    public Producer(String name, long interval, Queue<String> queue) { 
        this.name = name; 
        this. interval = interval; 
        this.queue = queue; 
    }//constructor
    public void run() { 
        while (!Thread.interrupted()) { 
            try { 
                Thread.sleep(interval); 
            } 
            catch (InterruptedException e ) { 
                 break; 
            } 
            queue.put(name + ": " + nr++); 
        } 
    }//run
}//Producer 
